com.sun.jna.platform

## Class FileUtils

- java.lang.Object
- - com.sun.jna.platform.FileUtils

- Direct Known Subclasses:
    MacFileUtils, W32FileUtils

      public abstract class FileUtils
      extends java.lang.Object

  Miscellaneous file utils not provided for by Java.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileUtils` | `getInstance()`
    `boolean` | `hasTrash()`
    `abstract void` | `moveToTrash(java.io.File[] files)` Move the given file to the system trash, if one is available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtils

          public FileUtils()

  - ### Method Detail

    - #### hasTrash

          public boolean hasTrash()

    - #### moveToTrash

          public abstract void moveToTrash(java.io.File[] files)
                                    throws java.io.IOException

      Move the given file to the system trash, if one is available. Throws an exception on failure.
      Throws:
        `java.io.IOException`

    - #### getInstance

          public static FileUtils getInstance()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.